Upgrade to VMware vCenter 6.5U1 failed – Error code 3010

Today we tried to upgrade to the new VMware vCenter 6.5U1. Unfortunately the installer failed with error code 3010.

It turns out that vmware-jre.msi, which is part of the vCenter upgrade installation has failed, because there are some locked files which can not be replaced.

VMware vCenter is running on Windows Server 2012 R2.
This vCenter instance also host a vSphere Plugin for Stormagic SvSAN.

StorMagic SvSAN is a very nice and easy to use software-defined storage solution, which provides a virtual SAN to the VMware vSphere environment using local disks of the ESXi hosts.

StorMagic SvSAN uses an Apache Tomcat Server to present the plugin’s information inside vSphere Webclient. The Tomcat Server Service is the one who holds a lock on the files which vmware-jre.msi tries to replace.

Solution:

The simple solution is to stop the „StorMagic Apache Tomcat Service“ before running the upgrade of VMware vCenter 6.5U1 and start it after the installation has finished.

 

Veröffentlicht von

Andreas Fleischmann

Lead IT-Consultant